ALSA project - the C library reference

Loading...
Searching...
No Matches
Data Fields
snd_tplg_tlv_dbscale_template Struct Reference
Topology Interface

Template type for TLV Scale objects. More...

`#include <topology.h>`

## Data Fields
struct snd_tplg_tlv_template | hdr
int | min
int | step
int | mute

## Detailed Description

Template type for TLV Scale objects.

## Field Documentation

## ◆ hdr

struct snd_tplg_tlv_template snd_tplg_tlv_dbscale_template::hdr

TLV type header

## ◆ min

int snd_tplg_tlv_dbscale_template::min

dB minimum value in 0.1dB

## ◆ mute

int snd_tplg_tlv_dbscale_template::mute

is min dB value mute ?

## ◆ step

int snd_tplg_tlv_dbscale_template::step

dB step size in 0.1dB

The documentation for this struct was generated from the following file:

- /packaging/alsa-lib/include/topology.h